%define		php_name	php%{?php_suffix}
%define		modname	mailparse
Summary:	%{modname} - email message manipulation
Summary(pl.UTF-8):	%{modname} - obrabianie wiadomości E-mail
Name:		%{php_name}-pecl-%{modname}
# for PHP < 7.0.0 build, see v2.1.x branch
Version:	3.0.4
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	d65ee713b8a45e49cae502ae9666dee3
URL:		http://pecl.php.net/package/mailparse/
BuildRequires:	%{php_name}-devel >= 4:7.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	%{php_name}-mbstring
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-mailparse < 2.1.6-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mailparse is an extension for parsing and working with email messages.
It can deal with rfc822 and rfc2045 (MIME) compliant messages.

%description -l pl.UTF-8
Mailparse to rozszerzenie do analizy i pracy z wiadomościami poczty
elektronicznej. Radzi sobie z wiadomościami zgodnymi z RFC822 oraz
RFC2024 (MIME).

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--with-%{modname}=%{_prefix}/X11R6/include/X11/

%{__make} CPPFLAGS="-DHAVE_CONFIG_H -I%{_prefix}/X11R6/include/X11"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Wed Feb 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-mailparse.git;a=log;h=auto/th/php-pecl-mailparse-3.0.4-1

* Wed Feb 12 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e79f72
- up to 3.0.4

* Sun Feb 07 2016 Elan Ruusamäe <glen@delfi.ee> 639a834
- requires mbstring

* Sun Feb 07 2016 Elan Ruusamäe <glen@delfi.ee> a8496be
- up to 3.0.1, php7 only version

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 60bd377
- obsolete old php name
- release 6 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> dbb6e94
- php 5.5 rebuild
- release 5 (by relup.sh)

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> 09a6a46
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> f102840
- support building for multiple php versions

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> c59d8cd
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 9ed8e57
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> b6f81a9
- updated to 2.1.6

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 4bed342
- spec unify

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> db832d1
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 51c26a2
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 1d3ad64
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 2ef9e78
- updated to 2.1.5

* Fri Mar 21 2008 Adam Gołębiowski <adamg@pld-linux.org> a31d17e
- updated to 2.1.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 664b901
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b19bd76
- converted to UTF-8

* Thu Jan 04 2007 Elan Ruusamäe <glen@pld-linux.org> b88404b
- require php-devel with mbfl headers

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 7d8d9f4
- use new php extension related macros

